<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast/Decl.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast.Decl</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlast.html" >idlast</a>
</div><div class="class-name">class Decl

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">../Synopsis/Parsers/IDL/idlast.py</a></div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line195" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Decl-inheritance" src="Decl-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Decl-inheritance_map" />
<map name="Decl-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idlast/Factory.html" href="Factory.html" shape="rect" coords="5, 81, 224, 105" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Markup/RST/RST.html" href="../../../Formatters/DocBook/Markup/RST/RST.html" shape="rect" coords="248, 81, 544, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" href="ValueAbs.html" shape="rect" coords="568, 81, 797, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/UnionForward.html" href="UnionForward.html" shape="rect" coords="821, 81, 1077, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Declarator.html" href="Declarator.html" shape="rect" coords="1101, 81, 1336, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Value.html" href="Value.html" shape="rect" coords="1360, 81, 1568, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Union.html" href="Union.html" shape="rect" coords="1592, 81, 1800, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Interface.html" href="Interface.html" shape="rect" coords="1824, 81, 2051, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Const.html" href="Const.html" shape="rect" coords="2075, 81, 2283, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" href="ValueBox.html" shape="rect" coords="2307, 81, 2536, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Forward.html" href="Forward.html" shape="rect" coords="2560, 81, 2784, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/StructForward.html" href="StructForward.html" shape="rect" coords="2808, 81, 3064, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/CaseLabel.html" href="CaseLabel.html" shape="rect" coords="3088, 81, 3323, 105" />
<area alt="Scopes/Synopsis/Formatters/SXR/Formatter.html" href="../../../Formatters/SXR/Formatter.html" shape="rect" coords="3347, 81, 3573, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/Tree/Tree.html" href="../../../Formatters/HTML/Views/Tree/Tree.html" shape="rect" coords="3597, 81, 3875, 105" />
<area alt="Scopes/Synopsis/Processor/Parameter.html" href="../../../Processor/Parameter.html" shape="rect" coords="3899, 81, 4088, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" href="ValueForward.html" shape="rect" coords="4112, 81, 4368, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Enumerator.html" href="Enumerator.html" shape="rect" coords="4392, 81, 4635, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Member.html" href="Member.html" shape="rect" coords="4659, 81, 4883, 105" />
<area alt="Scopes/Synopsis/SXR/Entry.html" href="../../../SXR/Entry.html" shape="rect" coords="4907, 81, 5043, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/FileTree/FileTree.html" href="../../../Formatters/HTML/Views/FileTree/FileTree.html" shape="rect" coords="5067, 81, 5387, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Typedef.html" href="Typedef.html" shape="rect" coords="5411, 81, 5635, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Struct.html" href="Struct.html" shape="rect" coords="5659, 81, 5867, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Operation.html" href="Operation.html" shape="rect" coords="5891, 81, 6123, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Native.html" href="Native.html" shape="rect" coords="6147, 81, 6357, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Exception.html" href="Exception.html" shape="rect" coords="6381, 81, 6613, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Enum.html" href="Enum.html" shape="rect" coords="6637, 81, 6845, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/StateMember.html" href="StateMember.html" shape="rect" coords="6869, 81, 7123, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/UnionCase.html" href="UnionCase.html" shape="rect" coords="7147, 81, 7381, 105" />
<area alt="Scopes/Synopsis/Processor/Parametrized.html" href="../../../Processor/Parametrized.html" shape="rect" coords="7405, 81, 7611, 105" />
<area alt="Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" href="../../Python/ASGTranslator/ASGTranslator.html" shape="rect" coords="7635, 81, 7965, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Attribute.html" href="Attribute.html" shape="rect" coords="7989, 81, 8216, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Parameter.html" href="Parameter.html" shape="rect" coords="8240, 81, 8475, 105" />
<area alt="Scopes/Synopsis/ASG/Debugger.html" href="../../../ASG/Debugger.html" shape="rect" coords="8499, 81, 8659, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Module.html" href="Module.html" shape="rect" coords="8683, 81, 8901, 105" />
</map>
 <div class="doc">Base class for all declarations.

Functions:

  file&#40;&#41;          -- the IDL file this declaration came from.
  line&#40;&#41;          -- the line number within the file.
  mainFile&#40;&#41;      -- boolean: true if the file was the main IDL file;
                     false if it was an included file.
  pragmas&#40;&#41;       -- list of Pragma objects containing #pragmas which
                     immediately followed this declaration.
  comments&#40;&#41;      -- list of Comment objects containing comments which
                     immediately followed this declaration.
  fullDecl&#40;&#41;      -- the 'full' Decl for typedefs&#44; forwards&#44; etc.

  accept&#40;visitor&#41; -- visitor pattern accept. See idlvisitor.py.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__file">__file</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line213" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__line">__line</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line214" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__mainFile">__mainFile</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line215" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__builtIn">__builtIn</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line216" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__pragmas">__pragmas</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line217" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__comments">__comments</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line218" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">mainFile</span>, <span class="variable">pragmas</span>, <span class="variable">comments</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line212" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.accept" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line220" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file">file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line222" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="line">line</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.line" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line223" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="mainFile">mainFile</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.mainFile" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line224" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="builtIn">builtIn</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.builtIn" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line225" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pragmas">pragmas</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.pragmas" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line226" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="comments">comments</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.comments" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line227" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="fullDecl">fullDecl</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl.fullDecl" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line228" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
